
#include <Servo.h>

#define FLIPPER_MOTOR_SPEED_PIN       6
#define FLIPPER_MOTOR_BRAKE_PIN       7

#define FLIPPER_MOTOR_DIRECTION_PIN   29

int pos = 0; 

void setup() {
  // put your setup code here, to run once:
  Serial.begin( 250000 );
  pinMode( FLIPPER_MOTOR_SPEED_PIN, OUTPUT);   
  pinMode( FLIPPER_MOTOR_BRAKE_PIN, OUTPUT);
  pinMode( FLIPPER_MOTOR_DIRECTION_PIN, OUTPUT);   
}

void loop() {
  // put your main code here, to run repeatedly:

  
  //----------
  Serial.println( "BRAKE IS OFF!!!" );
  
  digitalWrite(FLIPPER_MOTOR_BRAKE_PIN, HIGH);
  digitalWrite(FLIPPER_MOTOR_DIRECTION_PIN, HIGH); //Reverse Directionality (towards back)

  //---------
  //EXAMPLES
  //analogWrite(FLIPPER_MOTOR_SPEED_PIN, 255);  //  255 IS OFF
  //analogWrite(FLIPPER_MOTOR_SPEED_PIN, 0);    //  0 IS ON FULL BLAST
  //---------

  
  for (pos = 0; pos <= 255; pos += 1) {
    // in steps of 1 degree
    Serial.println( "Stepping UP" );
    analogWrite(FLIPPER_MOTOR_SPEED_PIN, 255-pos);
    delay(15);                       
  }
  
  digitalWrite(FLIPPER_MOTOR_DIRECTION_PIN, LOW);
  
  for (pos = 255; pos >= 0; pos -= 1) {
    Serial.println( "Stepping Down" );
    analogWrite(FLIPPER_MOTOR_SPEED_PIN, 255-pos);
    delay(15);
  }
  
  //----------
  Serial.println( "BRAKE IS BACK ON!!!" );
  digitalWrite(FLIPPER_MOTOR_BRAKE_PIN, LOW);   // turn the LED on (HIGH is the voltage level)
  //----------
  delay(2000);
  
}
